
  //Se tiver uma tarefa dentro da categoria selecionada carrega os detalhes da tarefa
  var currenthash = window.location.hash.split('#')[1];
  if(currenthash)
  {
    $.get( "/app/content/tarefas/tarefa_detalhes.php?tarefaid="+currenthash, function( data )
    {
      $("#task_window" ).html( data );
      $('#task_window').toggleClass('opened');
      $('[data-toggle="tooltip"]').tooltip();
    });
  }
  //Alterção da hash com a própria página carregada
  $(window).on('hashchange', function()
  {
    var currenthash = window.location.hash.split('#')[1];
    $.get( "/app/content/tarefas/tarefa_detalhes.php?tarefaid="+currenthash, function( data )
    {
      $("#task_window" ).html( data );
      $('#task_window').toggleClass('opened');
      $('[data-toggle="tooltip"]').tooltip();
    });
  });

  //Carregar a tarefa ao clicar no tнtulo da tarefa
  $(document).on("click", '.tarefaclick', function(event)
  {
    //Remover a seleção de background anterior
    $( ".tarefaclick" ).removeClass("bg-light");
    //Adicionar background
    $('#tar'+$(this).data("id")+' div').addClass("bg-light");
    $.get( "/app/content/tarefas/tarefa_detalhes.php?tarefaid="+$(this).data("id"), function( data )
    {
      $("#task_window" ).html( data );
      $('#task_window').toggleClass('opened');
      $('[data-toggle="tooltip"]').tooltip();
    });
  });


  //Pesquisa
  $( "#formpesquisa" ).submit(function( event )
  {
  	event.preventDefault();
  	//Pedido AJAX (adiciona comentário)
  	$.ajax({
  		url: "/app/content/tarefas/tarefa_pesquisa.php",
  		type: 'POST',
  		data: {"pesquisar":$("#formpesquisa").find('input').val()},
  		cache: false,
  		success: function(response){
  			$("#task-list").html(response);
  		}
  	});
  });
